## noris-nagios-clientplugins 4.0-11

=== Makefile ===
build:

install:
	cp -r usr/ ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/check_log_up2dateness --section=1 ${DESTDIR}/usr/share/man/man1/check_log_up2dateness.1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/check_interfaces-files --section=1 ${DESTDIR}/usr/share/man/man1/check_interfaces-files

clean:
	rm -f *-stamp

=== debian/changelog ===
noris-nagios-clientplugins (4.0-11) stable; urgency=low

  * Added Manpage for check_interfaces-files.

 -- Hardy Kestin <hardy@noris.net>  Tue, 26 Feb 2008 10:59:25 +0100

noris-nagios-clientplugins (4.0-10) stable; urgency=low

  * Removed regex for German locale.
    - Time::ParseDate does not understand German timestamps.

 -- Georg Gliniak <gliniak@noris.de>  Wed, 31 Oct 2007 12:04:06 +0100

noris-nagios-clientplugins (4.0-9) stable; urgency=low

  * Added regex for German locale.

 -- Georg Gliniak <gliniak@noris.de>  Wed, 31 Oct 2007 11:24:01 +0100

noris-nagios-clientplugins (4.0-8) stable; urgency=low

  * Summertime bug (CEST/CET) fixed.

 -- Georg Gliniak <gliniak@noris.de>  Fri, 19 Oct 2007 23:01:15 +0200

noris-nagios-clientplugins (4.0-7) stable; urgency=low

  * Added check_interfaces-files Plugin.
    - Fixes RT#353244

 -- Georg Gliniak <gliniak@noris.de>  Tue, 17 Jul 2007 14:52:20 +0200

noris-nagios-clientplugins (4.0-6) stable; urgency=low

  * Fixed permissions of check_log_up2dateness.

 -- Georg Gliniak <gliniak@noris.de>  Mon,  2 Jul 2007 12:30:04 +0200

noris-nagios-clientplugins (4.0-5) stable; urgency=low

  * new version from fany

 -- Micha Krause <Micha@noris.de>  Wed, 27 Jun 2007 13:58:58 +0200

noris-nagios-clientplugins (4.0-4) stable; urgency=low

  * Changed check_log_up2dateness again, syntax error

 -- Micha Krause <Micha@noris.de>  Wed, 27 Jun 2007 13:15:44 +0200

noris-nagios-clientplugins (4.0-3) stable; urgency=low

  * Changed check_log_up2dateness again, to work with new and old style
    logfiles 

 -- Micha Krause <Micha@noris.de>  Wed, 27 Jun 2007 13:04:46 +0200

noris-nagios-clientplugins (4.0-2) stable; urgency=low

  * Changed regexp in check_log_up2dateness to work with new version of
    omni-backup

 -- Micha Krause <Micha@noris.de>  Mon, 25 Jun 2007 12:28:17 +0200

noris-nagios-clientplugins (4.0-1) stable; urgency=low

  * Rebuilt for etch.

 -- Hardy Kestin <hardy@noris.net>  Tue, 29 May 2007 16:38:31 +0200

noris-nagios-clientplugins (3.1-4) stable; urgency=low

  * Renamed check_norislog to check_log_up2dateness.

 -- Georg Gliniak <gliniak@noris.net>  Mon,  4 Dec 2006 15:50:43 +0100

noris-nagios-clientplugins (3.1-3) stable; urgency=low

  * Removed postinst, not needed and fixed typo.

 -- Georg Gliniak <gliniak@noris.net>  Mon,  4 Dec 2006 12:23:42 +0100

noris-nagios-clientplugins (3.1-2) stable; urgency=low

  * Fixed postinst.

 -- Georg Gliniak <gliniak@noris.net>  Mon,  4 Dec 2006 12:17:25 +0100

noris-nagios-clientplugins (3.1-1) unstable; urgency=low

  * Initial Release.

 -- Georg Gliniak <gliniak@noris.net>  Mon,  4 Dec 2006 11:43:50 +0100

## noris-nagios-clientplugins 4.0-11.1

=== debian/changelog ===
noris-nagios-clientplugins (4.0-11.1) lenny; urgency=low

  * Testversion f. lenny

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 25 May 2009 17:02:39 +0200

## noris-nagios-clientplugins 6.0-2

=== debian/changelog ===
noris-nagios-clientplugins (6.0-2) squeeze; urgency=low

  * missing check_cron 

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 27 Jan 2014 16:49:15 +0100

noris-nagios-clientplugins (6.0-1) squeeze; urgency=low

  * First Build
 
 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 14 Feb 2011 14:49:00 +0100

=== debian/control ===
Source: noris-nagios-clientplugins
Section: noris/server
Priority: optional
Maintainer: Georg Gliniak <gliniak@noris.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: noris-nagios-clientplugins
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libnetsaint-noris-perl (>> 1.1), libfile-readbackwards-perl, libtime-modules-perl, perl-base
Description: Misc Monitoring Plugins
 This package contains homegrown plugins for Nagios and NetSaint.

## noris-nagios-clientplugins 6.0-3

=== Makefile ===
build:

install:
	cp -r usr/ ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/check_log_up2dateness --section=1 | iconv -f latin1 -t utf8 > ${DESTDIR}/usr/share/man/man1/check_log_up2dateness.1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/check_interfaces-files --section=1 | iconv -f latin1 -t utf8 > ${DESTDIR}/usr/share/man/man1/check_interfaces-files

clean:
	rm -f *-stamp

=== debian/changelog ===
noris-nagios-clientplugins (6.0-3) jessie; urgency=medium

  * First build for jessie

 -- Katharina Drexel <kdrexel@noris.de>  Thu, 23 Apr 2015 17:20:06 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/noris-nagios-clientplugins.sgml > noris-nagios-clientplugins.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/noris-nagios-clientplugins.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/noris-nagios-clientplugins


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## noris-nagios-clientplugins 6.1-0

=== debian/changelog ===
noris-nagios-clientplugins (6.1-0) wheezy; urgency=low

  * 2 "new" plugins 

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 05 Feb 2013 16:38:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: noris-nagios-clientplugins
 Section: noris/server
 Priority: optional
-Maintainer: Georg Gliniak <gliniak@noris.net>
+Maintainer: Katharina Drexel <kdrexel@noris.net>
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.7.2
